# Fraudulent Settings Update

PUT /brp/fraudulent-settings: Replaces the Brand Risk Protection settings. Send the full ignored_domains list.

Source: https://docs.deepinfo.com/reference/brp/fraudulent-settings-update/

Last updated: 2026-09-27

---
`PUT https://api.deepinfo.com/v1/brp/fraudulent-settings`

Replaces the Brand Risk Protection settings. Send the **full** `ignored_domains` list.

## Authentication

Send your API key in the `apikey` request header.

## Request Body

| Parameter | Type | Required |
|---|---|---|
| `ignored_domains` | array | Required |

```json
{
  "ignored_domains": []
}
```

## Response Fields

| Field | Type |
|---|---|
| `ignored_domains` | array of string |

## Response Schema

_Inferred from examples._ Built from the saved 2xx example response: the fields it contains, with the types seen there. It is not a contract.

| Field | Type |
|---|---|
| `ignored_domains` | array |

## Examples

### 200 · OK

```bash
curl -X PUT 'https://api.deepinfo.com/v1/brp/fraudulent-settings' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "ignored_domains": []
}'
```

`Content-Type: application/json` · `deepinfo-request-id: 00000000-0000-4000-8000-0000356d0001`

```json
{
  "ignored_domains": []
}
```

### 400 · Validation Error (empty body {})

```bash
curl -X PUT 'https://api.deepinfo.com/v1/brp/fraudulent-settings' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{}'
```

`Content-Type: application/json` · `deepinfo-request-id: 00000000-0000-4000-8000-0000356d0001`

```json
{
  "code": 10400,
  "parameters": [
    {
      "param": "ignored_domains",
      "details": [
        "This field is required."
      ]
    }
  ],
  "solution": "https://docs.deepinfo.com/reference/"
}
```
